export const TableColumns = [
  { item: { key: "priceName", title: "价格名称" }, attr: {} },
  { item: { key: "priceCode", title: "价格编码" }, attr: {} },
  {
    item: { key: "status", title: "状态" },
    attr: { dictName: "sys_status" },
  },
  { item: { key: "supplierName", title: "供应商" }, attr: {} },
  { item: { key: "currencyName", title: "币种" }, attr: {} },
  { item: { key: "explainStr", title: "价格合理性说明" }, attr: {} },
  { item: { key: "buyerName", title: "采购员" }, attr: {} },
  { item: { key: "puDeptName", title: "采购部门" }, attr: {} },
  {
    item: { key: "file", title: "附件" },
    attr: { component: "dr-file-preview" },
  },
  { item: { key: "createByName", title: "创建人" }, attr: {} },
  { item: { key: "source", title: "来源单据号" }, attr: {} },
  { item: { key: "id", title: "来源单据id" }, attr: {} },
  {
    item: { key: "isEffective", title: "是否已推价格" },
    attr: { dictName: "is_effective" },
  },
  { item: { key: "effectiveDate", title: "生效日期" }, attr: {} },
  { item: { key: "sourceType", title: "来源单据类型" }, attr: {} },
];
console.log(
  JSON.stringify(
    TableColumns.map((item) => ({
      item: { key: item.key, title: item.title },
      attr: {
        component: item.inputType,
        dictName: item.referName,
      },
    }))
  )
);
export const SearchColumns = [
  {
    item: { key: "supplierName", title: "供应商" },
    attr: {
      component: "el-popover-select-v2",
      referName: "SUPPLIER_PARAM",
      dataMapping: { supplier: "code", supplierName: "name" },
    },
  },
  {
    item: { key: "puOrgName", title: "采购组织" },
    attr: {
      component: "el-popover-select-v2",
      referName: "ORG_PARAM",
      dataMapping: { puOrg: "code", puOrgName: "name" },
    },
  },
  {
    item: { key: "buyerName", title: "采购员" },
    attr: {
      component: "el-popover-select-v2",
      referName: "CONTACTS_PARAM",
      dataMapping: { buyer: "code", buyerName: "name" },
    },
  },
  {
    item: { key: "currencyName", title: "币种" },
    attr: {
      component: "el-popover-select-v2",
      referName: "CURRENCY_PARAM",
      dataMapping: { currency: "code", currencyName: "name" },
    },
  },
  {
    item: { key: "puDeptName", title: "采购部门" },
    attr: {
      component: "el-popover-select-v2",
      referName: "DEPT_PARAM",
      dataMapping: { puDept: "code", puDeptName: "name" },
    },
  },
  {
    item: { key: "isEffective", title: "是否推价" },
    attr: {
      component: "Select",
      dictName: "is_effective",
      clearable: true,
    },
  },
  {
    item: { key: "status", title: "状态" },
    attr: {
      component: "Select",
      dictName: "sys_status",
      clearable: true,
    },
  },
];

console.log(
  JSON.stringify(
    SearchColumns.map((item) => ({
      item: { key: item.key, title: item.title },
      attr: {
        component: item.inputType,
        dictName: item.referName,
        referName: item.referName,
        clearable: item.clearable,
        dataMapping: item.dataMapping,
      },
    }))
  )
);
